%define realname YAZ
%define modname yaz
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A27_%{modname}.ini

Summary:	A Z39.50 client for PHP4
Name:		php4-%{modname}
Version:	1.0.8
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/yaz
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini.bz2
# http://indexdata.dk/phpyaz/demo/mult.phps
Source2:	mult.php.bz2
Patch0:		yaz-1.0.2-antibork.diff.bz2
BuildRequires:	php4-devel
BuildRequires:	yaz-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
This extension implements a Z39.50 client for PHP using the YAZ
toolkit.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p0

%build

php4ize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php4.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

bzcat %{SOURCE2} > mult.php

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS README* mult.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-4mdv2007.0
+ Revision: 132317
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-3mdv2007.1
+ Revision: 123803
- rebuilt against new upstream php version (4.4.5)

* Thu Dec 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-2mdv2007.1
+ Revision: 102266
- rebuilt against the yaz-2.1.42 libs

* Wed Dec 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-1mdv2007.1
+ Revision: 102142
- 1.0.8

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-5mdv2007.1
+ Revision: 98775
- release bump due to hdlists borkiness
- Import php4-yaz



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-4
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-3mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-2mdk
- rebuild

* Sat Mar 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdk
- 1.0.7

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-2mdk
- rebuilt against php-4.4.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-1mdk
- 1.0.4

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.2-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_1.0.2-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.0.2-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.0.2-1mdk
- 4.3.11
- added P0 to make it compile again

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.2-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.2-1mdk
- 1.0.2

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.1-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.0.1-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0.1-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.1-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.1-1mdk
- rebuilt for php-4.3.7

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0.1-1mdk
- initial cooker contrib
- added S2
